import { ComChannelEndpoint, ComRouter, WorkerMessage } from 'wtd-core';
export declare class ClangdInteractionWorker implements ComRouter {
    private endpointWorker?;
    private reader?;
    private writer?;
    private lsMessagePort?;
    private fsMessagePort?;
    private emscriptenFS?;
    private remoteFs?;
    private clearIndexedDb;
    private useCompressedWorkspace;
    private compressedWorkspaceUrl?;
    private startingAwait?;
    private startingResolve;
    private synchingFSAwait?;
    private synchingFSResolve;
    setComChannelEndpoint(comChannelEndpoint: ComChannelEndpoint): void;
    /**
     * Triggered by worker message
     */
    clangd_init(message: WorkerMessage): Promise<void>;
    /**
     * Triggered by worker message
     */
    clangd_launch(message: WorkerMessage): Promise<void>;
    private loadRequiredResources;
    private markStarting;
    private markStarted;
    /**
     * Prepares & starts up a clangd language server instance
     * @returns
     */
    private runClangdLanguageServer;
    private markSynchingFS;
    private markSynchingFSDone;
    /**
     * Initialize the filesystem using the fs's persistent source. Invoked on start-up
     */
    private populateFS;
    /**
     * Persist the filesystem to IndexedDB. Can be invoked on shutdown or periodically
     */
    private persistFS;
    /**
     * Used to sync the filesystem from memory to IndexedDB or vice versa:
     * populate fs = true; persist fs = false
     * @param readOrWrite Whether to read or write the filesystem
     */
    private syncFS;
    private updateWorkerFilesystem;
    /**
     * Loads workspace files separately or the compressed workspace from a zip archive
     */
    private loadWorkspaceFiles;
    private processInputFiles;
    private updateRemoteFilesystem;
}
//# sourceMappingURL=clangd-server.d.ts.map